Get a refund
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/refund/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/refund/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/refund/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/refund/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/refund/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Refund retrieved successfully.",
"data": {
"id": "a1f7c9e2-4b3d-4c8a-9f2e-7d6b5a4c3e21",
"status": "SUCCESSFUL",
"type": "FULL",
"amount": 500,
"currency": "GBP",
"transaction_id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee",
"reference": "refund-order-8842",
"business_customer_id": "6c258e65-de94-4d9d-87fb-117480a9d0e7",
"refund_reference": "cj-refund-3f9a12",
"failure_reason": null,
"created_at": "2026-08-03T10:15:00.000000Z",
"updated_at": "2026-08-03T10:22:40.000000Z"
}
}{
"message": "Invalid or missing access token"
}{
"message": "Invalid scope(s) provided."
}{
"message": "Refund not found."
}Refund
Get a refund
Retrieve a refund by its refund ID. Only refunds of collections that you created through the API are returned. Required scope: refund:read.
GET
/
api
/
external
/
refund
/
{id}
Get a refund
Was this page helpful?
⌘I

